data:extend({
{
	type = "accumulator",
	name = "accumulator-mkII",
	icon = "__AdvancedAccumulators__/graphics/icons/adv-accumulator-mkII-icon.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mkII"},
	max_health = 150,
	corpse = "medium-remnants",
	collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
	selection_box = {{-1, -1}, {1, 1}},
	energy_source =
	{
		type = "electric",
		buffer_capacity = "25MJ",
		usage_priority = "terciary",
		input_flow_limit = "450kW",
		output_flow_limit = "450kW"
	},
	picture =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkII.png",
		priority = "extra-high",
		width = 124,
		height = 103,
		shift = {0.7, -0.2}
	},
	charge_animation =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkII-charging-v3.png",
		-- stripes =
		-- {
		-- 	{
		-- 		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkII-charging-v2.png",
		-- 		width_in_frames = 8,
		-- 		height_in_frames = 4,
		-- 	},
		-- },
		width = 124,
		height = 103,
		-- priority = "extra-high",
		line_length = 2,
		frame_count = 2,
		shift = {0.7, -0.2},
		animation_speed = 0.125,
		run_mode = "backward"
    },
	charge_cooldown = 30,
	charge_light = {intensity = 0.5, size = 8},
	discharge_animation =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkII-discharging-v3.png",
		-- stripes =
		-- {
		-- 	{
		-- 		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkII-discharging-v2.png",
		-- 		width_in_frames = 8,
		-- 		height_in_frames = 4,
		-- 	},
		-- },
		width = 124,
		height = 103,
		-- priority = "extra-high",
		line_length = 2,
		frame_count = 2,
		shift = {0.7, -0.2},
		animation_speed = 0.125,
		run_mode = "backward"
    },
	discharge_cooldown = 60,
	discharge_light = {intensity = 1, size = 8},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	working_sound =
	{
		sound =
		{
			filename = "__base__/sound/accumulator-working.ogg",
			volume = 1
		},
		idle_sound = {
			filename = "__base__/sound/accumulator-idle.ogg",
			volume = 0.4
		},
		max_sounds_per_type = 5
	}
},
{
	type = "accumulator",
	name = "accumulator-mkIII",
	icon = "__AdvancedAccumulators__/graphics/icons/adv-accumulator-mkIII-icon.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mkIII"},
	max_health = 150,
	corpse = "medium-remnants",
	collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
	selection_box = {{-1, -1}, {1, 1}},
	energy_source =
	{
		type = "electric",
		buffer_capacity = "150MJ",
		usage_priority = "terciary",
		input_flow_limit = "950kW",
		output_flow_limit = "950kW"
	},
	picture =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkIII.png",
		priority = "extra-high",
		width = 124,
		height = 103,
		shift = {0.7, -0.2}
	},
	charge_animation =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkIII-charging-v3.png",
		width = 124,
		height = 103,
		-- priority = "extra-high",
		line_length = 2,
		frame_count = 2,
		shift = {0.7, -0.2},
		animation_speed = 0.125,
		run_mode = "backward"
	},
	charge_cooldown = 30,
	charge_light = {intensity = 0.5, size = 9},
	discharge_animation =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkIII-discharging-v3.png",
		width = 124,
		height = 103,
		-- priority = "extra-high",
		line_length = 2,
		frame_count = 2,
		shift = {0.7, -0.2},
		animation_speed = 0.125,
		run_mode = "backward"
	},
	discharge_cooldown = 60,
	discharge_light = {intensity = 1, size = 9},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	working_sound =
	{
		sound =
		{
			filename = "__base__/sound/accumulator-working.ogg",
			volume = 1
		},
		idle_sound = {
			filename = "__base__/sound/accumulator-idle.ogg",
			volume = 0.4
		},
		max_sounds_per_type = 5
	}
},
{
	type = "accumulator",
	name = "accumulator-mkIV",
	icon = "__AdvancedAccumulators__/graphics/icons/adv-accumulator-mkIV-icon.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mkIV"},
	max_health = 150,
	corpse = "medium-remnants",
	collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
	selection_box = {{-1, -1}, {1, 1}},
	energy_source =
	{
		type = "electric",
		buffer_capacity = "750MJ",
		usage_priority = "terciary",
		input_flow_limit = "2MW",
		output_flow_limit = "2MW"
	},
	picture =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkIV.png",
		priority = "extra-high",
		width = 124,
		height = 103,
		shift = {0.7, -0.2}
	},
	charge_animation =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkIV-charging-v3.png",
		width = 124,
		height = 103,
		-- priority = "extra-high",
		line_length = 2,
		frame_count = 2,
		shift = {0.7, -0.2},
		animation_speed = 0.125,
		run_mode = "backward"
	},
	charge_cooldown = 30,
	charge_light = {intensity = 0.5, size = 10},
	discharge_animation =
	{
		filename = "__AdvancedAccumulators__/graphics/entity/adv-accumulator-mkIV-discharging-v3.png",
		width = 124,
		height = 103,
		-- priority = "extra-high",
		line_length = 2,
		frame_count = 2,
		shift = {0.7, -0.2},
		animation_speed = 0.125,
		run_mode = "backward"
	},
	discharge_cooldown = 60,
	discharge_light = {intensity = 1, size = 10},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	working_sound =
	{
		sound =
		{
			filename = "__base__/sound/accumulator-working.ogg",
			volume = 1
		},
		idle_sound = {
			filename = "__base__/sound/accumulator-idle.ogg",
			volume = 0.4
		},
		max_sounds_per_type = 5
	}
}
})
