data:extend({
	{
		type = "technology",
		name = "electric-energy-accumulators-adv-1",
		icon = "__AdvancedAccumulators__/graphics/technology/adv-acumulator-tech.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "accumulator-mkII"
			}
		},
		prerequisites = {"electric-energy-accumulators-1"},
		unit =
		{
			count = 150,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 2}
			},
			time = 30
		},
		order = "c-e-b",
	},
	{
		type = "technology",
		name = "electric-energy-accumulators-adv-2",
		icon = "__AdvancedAccumulators__/graphics/technology/adv-acumulator-tech.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "accumulator-mkIII"
			}
		},
		prerequisites = {"electric-energy-accumulators-adv-1"},
		unit =
		{
			count = 200,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 30
		},
		order = "c-e-b",
	},
	{
		type = "technology",
		name = "electric-energy-accumulators-adv-3",
		icon = "__AdvancedAccumulators__/graphics/technology/adv-acumulator-tech.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "accumulator-mkIV"
			}
		},
		prerequisites = {"electric-energy-accumulators-adv-2"},
		unit =
		{
			count = 250,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1}
			},
			time = 30
		},
		order = "c-e-b",
	}
})
